LINUX.ORG.RU

1С:Предприятие 8.3: клиенты и конфигуратор для Linux

 , ,


3

6

Тихо и незаметно вышла ознакомительная версия отечественной платформы для автоматизации учёта 1С:Предприятие 8.3. Главной особенностью релиза является появление толстого (в том числе в режиме конфигурирования) и тонкого клиентов для Linux (.deb и .rpm, x86 и x86_64).

Среди прочих изменений стоит выделить:

  • возможность автоматического обновления тонкого клиента при подключении;
  • поддержка защищённых соединений SSL и сертификатов во всех механизмах платформы;
  • поддержка внешних компонент и расширений для браузеров Google Chrome и Safari;
  • реструктуризация информационной базы в фоновом режиме;
  • выгрузка структуры и данных конфигурации в формате XML.

>>> Подробности

★★★

Проверено: Shaman007 ()

Ответ на: комментарий от onon

что это даже не бета. просто демонстрация нового функционала, со всеми возможными глюками

anonymous ()
Ответ на: комментарий от MikeDM

но зная 1С чую зря у многих сердца дрогнули

у меня есть знакомая которая утверждает что SAP по сравнению с 1С - ужос, а 1С - божественно просто и красив, может потому что привычен :P

I-Love-Microsoft ★★★★★ ()
Ответ на: комментарий от ZenitharChampion

ZenitharChampion

А интерфейс GTK или Qt? Или на чистых иксах, как Opera?

С каких это пор Опера на чистых иксах??? Всю жизнь же на КуТе была, вроде.

GreenBag ★★ ()
Ответ на: комментарий от daemonpnz

Научены горьким опытом захардкоженных путей.

buddhist ★★★★★ ()
Ответ на: комментарий от GreenBag

Давно уже. На Qt там была всего лишь морда для линукса, а потом они сказали «что-то тут у вас нет то» и запилили 3 варианта.

Deleted ()

огого. вот это новости! *полез за коньяком* есть повод выпить :)

Satan_Klaus ★★ ()
Ответ на: комментарий от imul

А в режиме совместимости с 8.1 нет скриншотов?

А что за совместимость? У них там минорные версии друг с другом несовместимы? А ещё на нас гонят.

Ttt ☆☆☆☆☆ ()
Ответ на: комментарий от J

Вот только пользоваться этим можно будет на венде чз год, а на линуксах...

Конфигурации-то одни и те же. Так что нет разницы. К тому же упёртые линуксоиды будут продавливать эту платформу, лишний стимул для скорейшего внедрения.

Aceler ★★★★★ ()
Ответ на: комментарий от redgremlin

Так что мне интереснее вопрос про всякие фискальники и прочие сканеры штрихкодов в толстом линукс-клиенте.

Фискальники это жесть, а вот сканеры штрих-кодов, карточек, весы и прочее в подавляющем большинстве используют USB-HID, разработчики редко хотят геморроя на свою голову.

Aceler ★★★★★ ()
Ответ на: комментарий от Aceler

Конфигурации-то одни и те же

В том то и дело, что сколько времени прошло с 8.2, а на управляемых формах только одна работающая конфа.

J ★★★★ ()
Ответ на: комментарий от gh0stwizard

Осталось забахахать платный офис, эксченчж и автокад/компас для полности.

Платных офисов для линукса полно, те же Kingsoft и Softmaker, вместо эксченджа можно использовать не менее монструозный, платный и ужасный Lotus, а компас работает под Wine@etersoft, ну или добро пожаловать на платный BricsCAD.

Впрочем, CAD-ы это слишком специфичная задача, а вот 1С нужна почти всем.

Aceler ★★★★★ ()
Ответ на: комментарий от J

В том то и дело, что сколько времени прошло с 8.2, а на управляемых формах только одна работающая конфа.

Это замечательно, но почему ты считаешь, что на линуксе эти конфигурации заработают позже?

Aceler ★★★★★ ()

Сперва они обрадовали тем, что 7.7 идет в пень. Теперь это. Праздник! )))

fjfalcon ★★★ ()
Ответ на: комментарий от anonymous

Про Linux Клиент http://s58.radikal.ru/i161/1207/e2/cb7d28a784ed.png Конфигуратор http://s018.radikal.ru/i521/1207/03/d3848a1535c1.png

Прозреваю статическую сборку libwine, если смотреть на шрифты. И полное отсутствие вкуса у разработчиков, но бухи привычные.

Aceler ★★★★★ ()
Ответ на: комментарий от Ttt

А что за совместимость?

Базы не всегда стартуют с нуля, иногда их конвертируют из предыдущих. А там в конфигурациях может быть много чего напихано такого, для чего нужно включать режим совместимости.

У них там минорные версии друг с другом несовместимы?

Конфигурации, особенно с какими-нибудь левыми дописками бывают несовместимы. Особенно это касается режима управляемого приложения.

imul ★★★★★ ()
Ответ на: комментарий от J

Так на линуксовых и обычное приложение попрет?

Так сказано же, что зарелизили всё, включая клиента.

Aceler ★★★★★ ()
Ответ на: комментарий от gh0stwizard

... лишь + пара компов возможно съедут на линукс.


Я бы не был столь писсемистичным в оценках. Ибо, при очередном обновлении WinServ придется задуматься о стоимости лицензий на оный.

Revetant ()
Ответ на: комментарий от Aceler

Вполне себе привычный дизайн восьмерки. А то этих бухов переучивать еще - никаких нервов не хватит.

fjfalcon ★★★ ()
Ответ на: комментарий от Aceler

1c-enterprise83-client зависит от 1c-enterprise83-common (= 8.3.1-531), однако: Пакет 1c-enterprise83-common не установлен. 1c-enterprise83-client зависит от 1c-enterprise83-server (= 8.3.1-531), однако: Пакет 1c-enterprise83-server не установлен. 1c-enterprise83-client зависит от libwebkitgtk-1.0-0 (>= 1.2.5), однако: Пакет libwebkitgtk-1.0-0 не установлен.

libwebkitgtk.. похоже не вайн.

fjfalcon ★★★ ()
Ответ на: комментарий от ollowtf

basicui.so не даст соврать :)

А зависимости у этого УИ есть? Хотя, например, Qt могли и статически вкомпилить. Кроме того, и оформление, и рамка окна не нативные, а значит вполне могли и на своём тулките, портированном с WinAPI на иксы, написать.

static_lab ★★★★★ ()
Ответ на: комментарий от fjfalcon

libwebkitgtk

таки GTK? Впрочем, судя по скриншотам, используется стандартный системный шрифт: http://wstaw.org/m/2012/07/03/plasma-desktopVw3502.png - DjVu Sans, http://s58.radikal.ru/i161/1207/e2/cb7d28a784ed.png - Ubuntu. Так что вполне вероятно.

Но, конечно, http://v8.1c.ru/overview/000000666_1_2.png очень радует.

static_lab ★★★★★ ()
Ответ на: комментарий от static_lab

Да, гтк, либ вайна не вижу... Кто подскажет кстати чем эт уlibwebkitgtk можно заменить на арчике? А то только из-за него не пускается.. хочет libWand.so

Хотя может я не то делаю.. )

fjfalcon ★★★ ()
Ответ на: комментарий от fjfalcon

должен быть imagemagick и надо выполнить /opt/1C/v8.3/x86_64/utils/config_system /usr/share/fonts/

Fragster ()
Ответ на: комментарий от Alinaki

1С на Linux, а сберовский банк-клиент ушёл в облака... Ну нифига себе.

Теперь осталось дождаться, пока новенькие десктопы для бухов не будут поставляться с ОЕМ-ной метровосьмёрочкой.

static_lab ★★★★★ ()

Внезапно, я уж и не верил в светлое будущее. Теперь и бухг сектор на территории бывшей СССР уйдет к свету. Увидели Вин8 и дейстововали соответственно, спасибо майки ! Кто следующий ?)

anonymous ()

ОН теперь на 1 шаг ближе.

Deleted ()
Ответ на: комментарий от sT331h0rs3

sT331h0rs3
Ненавижу 1С за HASP-ключи

HASP считай уже почти нет. Программные лицензии.

anonymous ()
Ответ на: комментарий от static_lab

Так они закупаются с оем виндой как раз таки из-за 1С. Бабка с возу кобыле легче.

anonymous ()
Ответ на: комментарий от fjfalcon

может libwebkit с extra? Посмотри по описанию.

kitar ★★★★★ ()
Ответ на: 666 от vasilisc_nisrok

Звериное число 666 не спроста в урле

и что никому нельзя будет ни покупать, ни продавать, кроме того, кто имеет это начертание, или имя зверя, или число имени его

static_lab ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.